---
 arch/um/kernel/skas/syscall.c      |    2 ++
 arch/um/kernel/um_arch.c           |    2 +-
 arch/um/sys-x86_64/syscall_table.c |    2 ++
 3 files changed, 5 insertions(+), 1 deletion(-)

Index: linux/arch/um/kernel/skas/syscall.c
===================================================================
--- linux.orig/arch/um/kernel/skas/syscall.c	2007-07-12 16:53:58.000000000 +0100
+++ linux/arch/um/kernel/skas/syscall.c	2007-07-12 17:04:09.000000000 +0100
@@ -13,6 +13,8 @@
 #include "kern_util.h"
 #include "syscall.h"
 
+#define __NR_syscall_max __NR_eventfd
+
 void handle_syscall(union uml_pt_regs *r)
 {
 	struct pt_regs *regs = container_of(r, struct pt_regs, regs);
Index: linux/arch/um/kernel/um_arch.c
===================================================================
--- linux.orig/arch/um/kernel/um_arch.c	2007-07-12 16:53:58.000000000 +0100
+++ linux/arch/um/kernel/um_arch.c	2007-07-12 17:04:09.000000000 +0100
@@ -145,7 +145,7 @@ static char *argv1_end = NULL;
 static int have_root __initdata = 0;
 
 /* Set in uml_mem_setup and modified in linux_main */
-long long physmem_size = 32 * 1024 * 1024;
+long long physmem_size = 64 * 1024 * 1024;
 
 void set_cmdline(char *cmd)
 {
Index: linux/arch/um/sys-x86_64/syscall_table.c
===================================================================
--- linux.orig/arch/um/sys-x86_64/syscall_table.c	2007-07-12 16:53:58.000000000 +0100
+++ linux/arch/um/sys-x86_64/syscall_table.c	2007-07-12 17:04:09.000000000 +0100
@@ -42,6 +42,8 @@
 #define __SYSCALL(nr, sym) [ nr ] = sym,
 #undef _ASM_X86_64_UNISTD_H_
 
+#define __NR_syscall_max __NR_eventfd
+
 typedef void (*sys_call_ptr_t)(void);
 
 extern void sys_ni_syscall(void);
